Skip to main content
GET
https://piloterr.com
/
api
/
v2
/
linkedin
/
profile
/
info
curl --location --request GET 'https://piloterr.com/api/v2/linkedin/profile/info?query=https://www.linkedin.com/in/montclairalex' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <token>'
{
  "address": {
    "city": null,
    "state": null,
    "county": null,
    "country": "United States",
    "country_code": "US"
  },
  "summary": "Join our free newsletter: example.co/newsletter",
  "articles": [
    {
      "url": "https://www.linkedin.com/pulse/2025-reflections-alex-montclair-9f2ab",
      "title": "2025 Reflections",
      "author": "Alex Montclair",
      "article": null
    }
  ],
  "headline": null,
  "username": "montclairalex",
  "full_name": "Alex Montclair",
  "languages": [],
  "photo_url": "https://media.licdn.com/dms/image/v2/D4E03AQExample/profile-displayphoto-shrink_200_200/0/1700000000000?e=2147483647&v=beta&t=exampletoken",
  "activities": [],
  "educations": [],
  "experiences": [
    {
      "address": {
        "city": "New York",
        "state": "New York",
        "county": null,
        "country": "United States",
        "country_code": "US"
      },
      "company": "Example Media",
      "end_date": null,
      "location": "Greater New York City Area",
      "start_at": null,
      "company_url": "https://www.linkedin.com/company/example-media",
      "description": null
    }
  ],
  "profile_url": "https://www.linkedin.com/in/montclairalex",
  "website_url": "https://example.co/",
  "background_url": "https://media.licdn.com/dms/image/v2/D4E16AQExample/profile-displaybackgroundimage-shrink_200_800/0/1700000000000?e=2147483647&v=beta&t=exampletoken",
  "follower_count": 63631,
  "recommendations": [
    {
      "text": "\"Working with Alex for only about six months is mind-blowing given how much I learned. Alex is the most creative, experimental, and innovative thinker I've worked with. If you're spending time with Alex, you're likely on a positive trajectory.\"",
      "full_name": "Ben Sweeny"
    }
  ],
  "section_courses": [],
  "section_patents": [],
  "connection_count": 500,
  "section_projects": [],
  "people_also_viewed": [],
  "section_test_scores": [],
  "section_publications": [],
  "card_current_position": {
    "url": "https://www.linkedin.com/company/example-media",
    "name": "Example Media"
  },
  "section_honors_awards": [],
  "section_organizations": [],
  "card_current_education": {
    "url": "https://www.linkedin.com/school/example-university/",
    "name": "Example University"
  },
  "section_certifications": [
    {
      "url": "https://www.linkedin.com/company/finra",
      "end_at": null,
      "start_at": "2016-08-27 00:00:00",
      "authority": "Series 63: Uniform Securities Agent State Law Examination"
    },
    {
      "url": "https://www.linkedin.com/company/finra",
      "end_at": null,
      "start_at": "2016-08-27 00:00:00",
      "authority": "Series 7: General Securities Representative Qualification Examination"
    }
  ],
  "section_volunteer_experiences": []
}
This LinkedIn Profile Info API will extract every piece of publicly available data (including name, current job, company, education, and professional) in just a few seconds.
x-api-key
string
required
This parameter specifies the private key you’ll need for Piloterr access.

Parameters

query
string
Linkedin URL or username of the target profile like https://www.linkedin.com/in/williamhgates or williamhgates

Response

The response is a single object at the root (no wrapper). All fields may be absent or null unless stated otherwise.
address
object
Profile location. Subfields may be null when not available.
summary
string
Profile summary (e.g. newsletter link, bio).
articles
array
List of articles published by the profile.
headline
string | null
Profile headline. May be null.
username
string
LinkedIn username (vanity identifier).
full_name
string
Full name of the profile.
languages
array
List of language names. May be empty.
photo_url
string
Profile photo URL. Temporary link, valid for 30 minutes.
activities
array
List of activities. May be empty.
educations
array
List of education entries. May be empty.
experiences
array
List of work experiences. Each item may have null fields.
profile_url
string
Public LinkedIn profile URL.
website_url
string
Personal or company website URL.
background_url
string
Profile background image URL. Temporary link, valid for 30 minutes.
follower_count
integer
Number of followers.
recommendations
array
List of recommendations received.
section_courses
array
List of courses. May be empty.
section_patents
array
List of patents. May be empty.
connection_count
integer
Number of connections (may be capped, e.g. 500+).
section_projects
array
List of projects. May be empty.
people_also_viewed
array
List of “People also viewed” suggestions. May be empty.
section_test_scores
array
List of test scores. May be empty.
section_publications
array
List of publications. May be empty.
card_current_position
object
Current position card (name and URL). May be empty object.
section_honors_awards
array
List of honors and awards. May be empty.
section_organizations
array
List of organizations. May be empty.
card_current_education
object
Current education card (name and URL). May be empty object.
section_certifications
array
List of certifications. May be empty.
section_volunteer_experiences
array
List of volunteer experiences. May be empty.
curl --location --request GET 'https://piloterr.com/api/v2/linkedin/profile/info?query=https://www.linkedin.com/in/montclairalex' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <token>'
{
  "address": {
    "city": null,
    "state": null,
    "county": null,
    "country": "United States",
    "country_code": "US"
  },
  "summary": "Join our free newsletter: example.co/newsletter",
  "articles": [
    {
      "url": "https://www.linkedin.com/pulse/2025-reflections-alex-montclair-9f2ab",
      "title": "2025 Reflections",
      "author": "Alex Montclair",
      "article": null
    }
  ],
  "headline": null,
  "username": "montclairalex",
  "full_name": "Alex Montclair",
  "languages": [],
  "photo_url": "https://media.licdn.com/dms/image/v2/D4E03AQExample/profile-displayphoto-shrink_200_200/0/1700000000000?e=2147483647&v=beta&t=exampletoken",
  "activities": [],
  "educations": [],
  "experiences": [
    {
      "address": {
        "city": "New York",
        "state": "New York",
        "county": null,
        "country": "United States",
        "country_code": "US"
      },
      "company": "Example Media",
      "end_date": null,
      "location": "Greater New York City Area",
      "start_at": null,
      "company_url": "https://www.linkedin.com/company/example-media",
      "description": null
    }
  ],
  "profile_url": "https://www.linkedin.com/in/montclairalex",
  "website_url": "https://example.co/",
  "background_url": "https://media.licdn.com/dms/image/v2/D4E16AQExample/profile-displaybackgroundimage-shrink_200_800/0/1700000000000?e=2147483647&v=beta&t=exampletoken",
  "follower_count": 63631,
  "recommendations": [
    {
      "text": "\"Working with Alex for only about six months is mind-blowing given how much I learned. Alex is the most creative, experimental, and innovative thinker I've worked with. If you're spending time with Alex, you're likely on a positive trajectory.\"",
      "full_name": "Ben Sweeny"
    }
  ],
  "section_courses": [],
  "section_patents": [],
  "connection_count": 500,
  "section_projects": [],
  "people_also_viewed": [],
  "section_test_scores": [],
  "section_publications": [],
  "card_current_position": {
    "url": "https://www.linkedin.com/company/example-media",
    "name": "Example Media"
  },
  "section_honors_awards": [],
  "section_organizations": [],
  "card_current_education": {
    "url": "https://www.linkedin.com/school/example-university/",
    "name": "Example University"
  },
  "section_certifications": [
    {
      "url": "https://www.linkedin.com/company/finra",
      "end_at": null,
      "start_at": "2016-08-27 00:00:00",
      "authority": "Series 63: Uniform Securities Agent State Law Examination"
    },
    {
      "url": "https://www.linkedin.com/company/finra",
      "end_at": null,
      "start_at": "2016-08-27 00:00:00",
      "authority": "Series 7: General Securities Representative Qualification Examination"
    }
  ],
  "section_volunteer_experiences": []
}